Download it now!
Bug 58094 - FILEOPEN: Cannot open, crash with attached file MML
Summary: FILEOPEN: Cannot open, crash with attached file MML
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha1
Hardware: Other Windows (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.2.0 target:4.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-10 16:45 UTC by João Mac-Cormick
Modified: 2013-11-13 23:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
MML File testing (6.12 KB, application/mathml+xml)
2012-12-10 16:45 UTC, João Mac-Cormick
Details
Error (9.68 KB, image/png)
2012-12-10 16:46 UTC, João Mac-Cormick
Details
In Firefox (19.66 KB, image/png)
2012-12-10 16:47 UTC, João Mac-Cormick
Details
libo version (10.11 KB, image/png)
2012-12-10 16:48 UTC, João Mac-Cormick
Details
SO version (18.72 KB, image/png)
2012-12-10 16:49 UTC, João Mac-Cormick
Details
bt + console on master sources (15.85 KB, text/plain)
2012-12-10 22:06 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description João Mac-Cormick 2012-12-10 16:45:50 UTC
Created attachment 71277 [details]
MML File testing

The MML file opens correctly in Firefox 16.0.2.

The MML file not opens correctly in LibreOffice 4.0 a1. (CRASH)
Comment 1 João Mac-Cormick 2012-12-10 16:46:42 UTC
Created attachment 71278 [details]
Error
Comment 2 João Mac-Cormick 2012-12-10 16:47:23 UTC
Created attachment 71279 [details]
In Firefox
Comment 3 João Mac-Cormick 2012-12-10 16:48:38 UTC
Created attachment 71280 [details]
libo version
Comment 4 João Mac-Cormick 2012-12-10 16:49:15 UTC
Created attachment 71281 [details]
SO version
Comment 5 João Mac-Cormick 2012-12-10 16:50:17 UTC
terminate called after throwing an instance of 'std::length_error'
what(): vector::_M_fill_insert
Comment 6 João Mac-Cormick 2012-12-10 16:55:51 UTC
Bug still exists in version 3.6.4.3
Comment 7 Julien Nabet 2012-12-10 22:06:08 UTC
Created attachment 71292 [details]
bt + console on master sources

On pc Debian x86-64 with master sources updated today (commit 24f0aa76c005d1506a6d13945c39dafc6e9b8d91), I reproduced the crash.
I attached bt + console logs.
Comment 8 Julien Nabet 2012-12-10 22:09:01 UTC
Michael: one for you?
Comment 9 Commit Notification 2013-11-05 16:29:12 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=603e9338568c29c01f812c4fd47b7e8138e015bb

Resolves: fdo#58094 don't crash on attempting mml import



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-11-07 15:37:13 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=893039fa142c6b0188549bda5567d8cb115600fa&h=libreoffice-4-1

Resolves: fdo#58094 don't crash on attempting mml import


It will be available in LibreOffice 4.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.